RTEMS: ADC_struct_tag Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
ADC_struct_tag Struct Reference

## Data Fields
ADC_MCR_32B_tag | MCR
ADC_MSR_32B_tag | MSR
int8_t | ADC_reserved_0008 [8]
ADC_ISR_32B_tag | ISR
union {
ADC_CEOCFR0_32B_tag CEOCFR [3]
struct {
ADC_CEOCFR0_32B_tag CEOCFR0
ADC_CEOCFR1_32B_tag CEOCFR1
ADC_CEOCFR2_32B_tag CEOCFR2
} |
}; |
ADC_IMR_32B_tag | IMR
union {
ADC_CIMR0_32B_tag CIMR [3]
struct {
ADC_CIMR0_32B_tag CIMR0
ADC_CIMR1_32B_tag CIMR1
ADC_CIMR2_32B_tag CIMR2
} |
}; |
ADC_WTISR_32B_tag | WTISR
ADC_WTIMR_32B_tag | WTIMR
int8_t | ADC_reserved_0038 [8]
ADC_DMAE_32B_tag | DMAE
union {
ADC_DMAR0_32B_tag DMAR [3]
struct {
ADC_DMAR0_32B_tag DMAR0
ADC_DMAR1_32B_tag DMAR1
ADC_DMAR2_32B_tag DMAR2
} |
}; |
union {
ADC_TRC_32B_tag TRC [4]
struct {
ADC_TRC_32B_tag TRC0
ADC_TRC_32B_tag TRC1
ADC_TRC_32B_tag TRC2
ADC_TRC_32B_tag TRC3
} |
}; |
union {
ADC_THRHLR_32B_tag THRHLR [4]
struct {
ADC_THRHLR_32B_tag THRHLR0
ADC_THRHLR_32B_tag THRHLR1
ADC_THRHLR_32B_tag THRHLR2
ADC_THRHLR_32B_tag THRHLR3
} |
}; |
union {
ADC_THRALT_32B_tag THRALT [4]
struct {
ADC_THRALT_32B_tag THRALT0
ADC_THRALT_32B_tag THRALT1
ADC_THRALT_32B_tag THRALT2
ADC_THRALT_32B_tag THRALT3
} |
}; |
ADC_PSCR_32B_tag | PSCR
union {
ADC_PSR0_32B_tag PSR [3]
struct {
ADC_PSR0_32B_tag PSR0
ADC_PSR1_32B_tag PSR1
ADC_PSR2_32B_tag PSR2
} |
}; |
int8_t | ADC_reserved_0090_C [4]
union {
ADC_CTR_32B_tag CTR [3]
struct {
ADC_CTR_32B_tag CTR0
ADC_CTR_32B_tag CTR1
ADC_CTR_32B_tag CTR2
} |
}; |
int8_t | ADC_reserved_00A0_C [4]
union {
ADC_NCMR0_32B_tag NCMR [3]
struct {
ADC_NCMR0_32B_tag NCMR0
ADC_NCMR1_32B_tag NCMR1
ADC_NCMR2_32B_tag NCMR2
} |
}; |
int8_t | ADC_reserved_00B0_C [4]
union {
ADC_JCMR0_32B_tag JCMR [3]
struct {
ADC_JCMR0_32B_tag JCMR0
ADC_JCMR1_32B_tag JCMR1
ADC_JCMR2_32B_tag JCMR2
} |
}; |
ADC_OFFWR_32B_tag | OFFWR
ADC_DSDR_32B_tag | DSDR
ADC_PDEDR_32B_tag | PDEDR
int8_t | ADC_reserved_00CC_C [52]
union {
ADC_CDR_32B_tag CDR [96]
struct {
ADC_CDR_32B_tag CDR0
ADC_CDR_32B_tag CDR1
ADC_CDR_32B_tag CDR2
ADC_CDR_32B_tag CDR3
ADC_CDR_32B_tag CDR4
ADC_CDR_32B_tag CDR5
ADC_CDR_32B_tag CDR6
ADC_CDR_32B_tag CDR7
ADC_CDR_32B_tag CDR8
ADC_CDR_32B_tag CDR9
ADC_CDR_32B_tag CDR10
ADC_CDR_32B_tag CDR11
ADC_CDR_32B_tag CDR12
ADC_CDR_32B_tag CDR13
ADC_CDR_32B_tag CDR14
ADC_CDR_32B_tag CDR15
ADC_CDR_32B_tag CDR16
ADC_CDR_32B_tag CDR17
ADC_CDR_32B_tag CDR18
ADC_CDR_32B_tag CDR19
ADC_CDR_32B_tag CDR20
ADC_CDR_32B_tag CDR21
ADC_CDR_32B_tag CDR22
ADC_CDR_32B_tag CDR23
ADC_CDR_32B_tag CDR24
ADC_CDR_32B_tag CDR25
ADC_CDR_32B_tag CDR26
ADC_CDR_32B_tag CDR27
ADC_CDR_32B_tag CDR28
ADC_CDR_32B_tag CDR29
ADC_CDR_32B_tag CDR30
ADC_CDR_32B_tag CDR31
ADC_CDR_32B_tag CDR32
ADC_CDR_32B_tag CDR33
ADC_CDR_32B_tag CDR34
ADC_CDR_32B_tag CDR35
ADC_CDR_32B_tag CDR36
ADC_CDR_32B_tag CDR37
ADC_CDR_32B_tag CDR38
ADC_CDR_32B_tag CDR39
ADC_CDR_32B_tag CDR40
ADC_CDR_32B_tag CDR41
ADC_CDR_32B_tag CDR42
ADC_CDR_32B_tag CDR43
ADC_CDR_32B_tag CDR44
ADC_CDR_32B_tag CDR45
ADC_CDR_32B_tag CDR46
ADC_CDR_32B_tag CDR47
ADC_CDR_32B_tag CDR48
ADC_CDR_32B_tag CDR49
ADC_CDR_32B_tag CDR50
ADC_CDR_32B_tag CDR51
ADC_CDR_32B_tag CDR52
ADC_CDR_32B_tag CDR53
ADC_CDR_32B_tag CDR54
ADC_CDR_32B_tag CDR55
ADC_CDR_32B_tag CDR56
ADC_CDR_32B_tag CDR57
ADC_CDR_32B_tag CDR58
ADC_CDR_32B_tag CDR59
ADC_CDR_32B_tag CDR60
ADC_CDR_32B_tag CDR61
ADC_CDR_32B_tag CDR62
ADC_CDR_32B_tag CDR63
ADC_CDR_32B_tag CDR64
ADC_CDR_32B_tag CDR65
ADC_CDR_32B_tag CDR66
ADC_CDR_32B_tag CDR67
ADC_CDR_32B_tag CDR68
ADC_CDR_32B_tag CDR69
ADC_CDR_32B_tag CDR70
ADC_CDR_32B_tag CDR71
ADC_CDR_32B_tag CDR72
ADC_CDR_32B_tag CDR73
ADC_CDR_32B_tag CDR74
ADC_CDR_32B_tag CDR75
ADC_CDR_32B_tag CDR76
ADC_CDR_32B_tag CDR77
ADC_CDR_32B_tag CDR78
ADC_CDR_32B_tag CDR79
ADC_CDR_32B_tag CDR80
ADC_CDR_32B_tag CDR81
ADC_CDR_32B_tag CDR82
ADC_CDR_32B_tag CDR83
ADC_CDR_32B_tag CDR84
ADC_CDR_32B_tag CDR85
ADC_CDR_32B_tag CDR86
ADC_CDR_32B_tag CDR87
ADC_CDR_32B_tag CDR88
ADC_CDR_32B_tag CDR89
ADC_CDR_32B_tag CDR90
ADC_CDR_32B_tag CDR91
ADC_CDR_32B_tag CDR92
ADC_CDR_32B_tag CDR93
ADC_CDR_32B_tag CDR94
ADC_CDR_32B_tag CDR95
} |
}; |
ADC_THRHLR4_32B_tag | THRHLR4
ADC_THRHLR5_32B_tag | THRHLR5
ADC_THRHLR6_32B_tag | THRHLR6
ADC_THRHLR7_32B_tag | THRHLR7
ADC_THRHLR8_32B_tag | THRHLR8
ADC_THRHLR9_32B_tag | THRHLR9
ADC_THRHLR10_32B_tag | THRHLR10
ADC_THRHLR11_32B_tag | THRHLR11
ADC_THRHLR12_32B_tag | THRHLR12
ADC_THRHLR13_32B_tag | THRHLR13
ADC_THRHLR14_32B_tag | THRHLR14
ADC_THRHLR15_32B_tag | THRHLR15
union {
ADC_CWSELR_32B_tag CWSELR [12]
struct {
ADC_CWSELR_32B_tag CWSELR0
ADC_CWSELR_32B_tag CWSELR1
ADC_CWSELR_32B_tag CWSELR2
ADC_CWSELR_32B_tag CWSELR3
ADC_CWSELR_32B_tag CWSELR4
ADC_CWSELR_32B_tag CWSELR5
ADC_CWSELR_32B_tag CWSELR6
ADC_CWSELR_32B_tag CWSELR7
ADC_CWSELR_32B_tag CWSELR8
ADC_CWSELR_32B_tag CWSELR9
ADC_CWSELR_32B_tag CWSELR10
ADC_CWSELR_32B_tag CWSELR11
} |
}; |
union {
ADC_CWENR_32B_tag CWENR [3]
struct {
ADC_CWENR_32B_tag CWENR0
ADC_CWENR_32B_tag CWENR1
ADC_CWENR_32B_tag CWENR2
} |
}; |
int8_t | ADC_reserved_02EC_C [4]
union {
ADC_AWORR_32B_tag AWORR [3]
struct {
ADC_AWORR_32B_tag AWORR0
ADC_AWORR_32B_tag AWORR1
ADC_AWORR_32B_tag AWORR2
} |
}; |
int8_t | ADC_reserved_02FC [68]
ADC_STCR1_32B_tag | STCR1
ADC_STCR2_32B_tag | STCR2
ADC_STCR3_32B_tag | STCR3
ADC_STBRR_32B_tag | STBRR
ADC_STSR1_32B_tag | STSR1
ADC_STSR2_32B_tag | STSR2
ADC_STSR3_32B_tag | STSR3
ADC_STSR4_32B_tag | STSR4
int8_t | ADC_reserved_0360 [16]
ADC_STDR1_32B_tag | STDR1
ADC_STDR2_32B_tag | STDR2
int8_t | ADC_reserved_0378 [8]
ADC_STAW0R_32B_tag | STAW0R
ADC_STAW1AR_32B_tag | STAW1AR
ADC_STAW1BR_32B_tag | STAW1BR
ADC_STAW2R_32B_tag | STAW2R
ADC_STAW3R_32B_tag | STAW3R
ADC_STAW4R_32B_tag | STAW4R
ADC_STAW5R_32B_tag | STAW5R

The documentation for this struct was generated from the following file:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc564xL.h